Bug 984321 - Review Request: powerline - The ultimate statusline/prompt utility
Review Request: powerline - The ultimate statusline/prompt utility
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2013-07-14 18:27 EDT by Erwan Richard
Modified: 2014-07-14 22:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-14 22:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erwan Richard 2013-07-14 18:27:40 EDT
Spec URL: https://www.dropbox.com/sh/3z91ldmsz7jijr2/eIeL453Jpt/powerline.spec
SRPM URL: https://www.dropbox.com/sh/3z91ldmsz7jijr2/jlt3n97BuH/powerline-0.1-20130714git.fc19.src.rpm

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=5607102

Description: 
This is the next version of Powerline, implemented in Python.
It aims to resolve some of the “unsolvable” problems of the vim-script
implementation, as well as providing a common code base for all projects that
use Powerline in some way (e.g. shell prompts and tmux themes).

Fedora Account System Username: erichard

This is my first package that I send to Fedora. I've build few packages for business purpose but this time I feel like I need to contribute back to the FOSS community :-) Also I'm looking for a sponsor to be the maintainer of this little package.
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-08-02 17:00:16 EDT
Informal review:

Description isn't very useful, unless one knows what "Powerline" is. I don't, so it doesn't tell me (a) what the package is for (b) what can I use it with (some specific shell or all shells, some specific terminal emulator or all emulators, tty?).

The font that is included in the package: is it only useful for this utility, or can it be used by others? If so, maybe it should be split out to a separate package.

There's a bunch of tests in upstream. Can they be run during package build?

powerline.spec:48: E: hardcoded-library-path in /usr/lib/*
→ %{_libdir}?

powerline.spec: W: invalid-url → gives 404

powerline.noarch: W: conffile-without-noreplace-flag /etc/fonts/conf.d/10-powerline-symbols.conf
powerline.noarch: W: no-manual-page-for-binary powerline
powerline.noarch: W: no-manual-page-for-binary powerline-lint

It'd be nice to provide some examples of use.

I tried 'powerline 123 left' and got the following traceback:
2013-08-02 16:56:54,536:ERROR:123:Failed to create renderer: '123'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/powerline/__init__.py", line 361, in update_renderer
    self.create_renderer(**create_renderer_kwargs)
  File "/usr/lib/python2.7/site-packages/powerline/__init__.py", line 203, in create_renderer
    self.ext_config = config['ext'][self.ext]
KeyError: '123'
Traceback (most recent call last):
  File "/usr/bin/powerline", line 24, in <module>
    segment_info=segment_info,
  File "/usr/lib/python2.7/site-packages/powerline/__init__.py", line 372, in render
    return self.renderer.render(*args, **kwargs)
AttributeError: 'ShellPowerline' object has no attribute 'renderer'
        ^^^^^^^ this looks like an upstream bug.
Comment 2 Antonio Trande 2013-08-03 06:51:32 EDT
Hi Erwan.

First of all, please provide us SPEC/SRPM direct links.

> The font that is included in the package: is it only useful for this utility, 
> or can it be used by others? If so, maybe it should be split out to a separate > package

You must package each font family in a separate (noarch) (sub)package. Here https://github.com/Lokaltog/powerline-fonts, I see various font families for usage with the Powerline plugin.

Read carefully this guidelines: http://fedoraproject.org/wiki/Packaging:FontsPolicy
Comment 3 Ralf Corsepius 2013-08-04 02:13:45 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Description isn't very useful, unless one knows what "Powerline" is. 
ACK.

I guess it's not what the term "Powerline" is commonly in everyday language in Germany: A synonym for PowerLAN (i.e. Ethernet over power lines)
http://de.wikipedia.org/wiki/Kategorie:Powerline_Communication

It's only this similarity which had this package catch my eye, otherwise I'd not have looked into ist.

That said, I feel its appropriate to ask upstream to rename their project, rsp. at least for Tedora to ship this package under a different name (python-powerline, vim-powerline, ... whatever).
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-08-04 08:06:21 EDT
(In reply to Ralf Corsepius from comment #3)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > Description isn't very useful, unless one knows what "Powerline" is. 
> ACK.
> 
> I guess it's not what the term "Powerline" is commonly in everyday language
> in Germany: A synonym for PowerLAN (i.e. Ethernet over power lines)
> http://de.wikipedia.org/wiki/Kategorie:Powerline_Communication
Hm, maybe, I'm not sure if this can confusion.

I actually meant something different: in the original description, we have "This is the next version of Powerline", "aims to resolve some of the “unsolvable” problems of the vim-script implementation", which are only meaningful to a person who knows what this previous implementation does, and what it did wrong. I think that "powerline" as a name is OK. It doesn't have to be meaningful, just reasonably unique to distinguish the program from other programs.
Comment 5 Ralf Corsepius 2013-08-04 09:10:56 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> (In reply to Ralf Corsepius from comment #3)
> > (In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > > Description isn't very useful, unless one knows what "Powerline" is. 
> > ACK.
> > 
> > I guess it's not what the term "Powerline" is commonly in everyday language
> > in Germany: A synonym for PowerLAN (i.e. Ethernet over power lines)
> > http://de.wikipedia.org/wiki/Kategorie:Powerline_Communication
> Hm, maybe, I'm not sure if this can confusion.
Well, what would you think about this package being called WLAN or WiFi?

I don't know about the popularity of Powerline in other countries, but in Germany, Powerline is such kind of popular, a description reading "next generation of Powerline" would be read as a "bold lie" or "a dumb upstream's attention teaser" ;)

Just search http://www.amazon.de or http://google.de for "powerline" and you'll see.
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-08-04 09:15:07 EDT
(In reply to Ralf Corsepius from comment #5)
> Just search http://www.amazon.de or http://google.de for "powerline" and
> you'll see.
I now did, and I see your point :)
Comment 7 Christopher Meng 2013-08-04 20:55:31 EDT
Please do NOT change the release of this bug, if you still cannot find a sponsor when 19 is EOL, this bug will be close. So don't do that, and your package must be built successfully against Rawhide.

Thanks.

Any news here?

Note You need to log in before you can comment on or make changes to this bug.